<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>HelloMVCPage</title>
</head>
<body>
<h1>Spring MVC Hello World Example</h1>

<h2>${msg}</h2>
<!--
Note 
If the ${msg} is displayed as it is, not the value inside the "msg" model,
it may caused by the old JSP 1.2 descriptor,
which make the expression languages disabled by default, see the solution here.
-->
</body>
</html>